Index: /branches/libIGCM_MPI_OpenMP/AA_SaveSourceModifications
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_SaveSourceModifications	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_SaveSourceModifications	(revision 592)
@@ -145,5 +145,5 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 if ( ! ${DEBUG_debug} ) ; then
     IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /branches/libIGCM_MPI_OpenMP/AA_TimeSeries_Checker
===================================================================
--- /branches/libIGCM_MPI_OpenMP/AA_TimeSeries_Checker	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/AA_TimeSeries_Checker	(revision 592)
@@ -41,7 +41,10 @@
 POST_DIR=${POST_DIR:=${CARD_DIR}/OutScript}
 
+# project 
+export BRIDGE_MSUB_PROJECT=gen2211
+
 if [ ! -d ${CARD_DIR} ]; then
-    echo "No ${CARD_DIR}, we stop here"
-    exit
+  echo "No ${CARD_DIR}, we stop here"
+  exit
 fi
 
@@ -65,55 +68,71 @@
 read ActionAnswer
 
-case ${ActionAnswer} in    
-    oui|OUI|o|y|yes|YES)
-	echo "OK. I will submit jobs but ask permissions before removing files"
-	action=true
-	;;
-    non|NON|n|no|NO)
-	echo "OK. I won't submit jobs and only print out files I could remove"
-	action=false
-	;;
-    *)
-	echo "I did not recognize your answer. I will stop here."
-	echo "Please respond: oui|OUI|o|y|yes|YES"
-	echo "Or please respond: non|NON|n|no|NO"
-	exit
-	;;
+case ${ActionAnswer} in
+oui|OUI|o|y|yes|YES)
+  echo "OK. I will submit jobs but ask permissions before removing files"
+  action=true
+  ;;
+non|NON|n|no|NO)
+  echo "OK. I won't submit jobs and only print out files I could remove"
+  action=false
+  ;;
+*)
+  echo "I did not recognize your answer. I will stop here."
+  echo "Please respond: oui|OUI|o|y|yes|YES"
+  echo "Or please respond: non|NON|n|no|NO"
+  exit
+  ;;
 esac
 
+#==================================
 # First of all
+#
+typeset option
+
+#==================================
+# Read UserChoices section: 
 IGCM_card_DefineArrayFromSection       ${CARD_DIR}/config.card UserChoices
-typeset option
+echo
+IGCM_debug_Print 1 "DefineArrayFromOption  : config_UserChoices"
 for option in ${config_UserChoices[*]} ; do
     IGCM_card_DefineVariableFromOption ${CARD_DIR}/config.card UserChoices ${option}
+    eval auxprint=\${config_UserChoices_${option}}
+    IGCM_debug_Print 3 "${option} : ${auxprint}"
 done
-
-echo
-IGCM_debug_Print 1 "DefineVariableFromOption  : config_UserChoices"
-IGCM_debug_PrintVariables 3 config_UserChoices_JobName
-#IGCM_debug_PrintVariables 3 config_UserChoices_SpaceName
-#IGCM_debug_PrintVariables 3 config_UserChoices_ExperimentName
-IGCM_debug_PrintVariables 3 config_UserChoices_CalendarType
-IGCM_debug_PrintVariables 3 config_UserChoices_DateBegin
-IGCM_debug_PrintVariables 3 config_UserChoices_DateEnd
+#
+echo
+
+#==================================
+# Read Post section: 
+IGCM_card_DefineArrayFromSection ${CARD_DIR}/config.card Post
+echo
+IGCM_debug_Print 1 "DefineArrayFromOption : config_Post"
+
+for option in ${config_Post[*]} ; do
+  IGCM_card_DefineVariableFromOption ${CARD_DIR}/config.card Post ${option}
+  eval auxprint=\${config_Post_${option}}
+  IGCM_debug_Print 3 "${option} : ${auxprint}"
+done
+#
+echo
 
 if [ -f ${CARD_DIR}/run.card ] ; then
-    IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration OldPrefix
-    IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration PeriodState
-    IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card PostProcessing TimeSeriesCompleted
-    IGCM_debug_Print 1 "DefineVariableFromOption  : run_Configuration"
-    IGCM_debug_PrintVariables 3 run_Configuration_OldPrefix
-    IGCM_debug_PrintVariables 3 run_Configuration_PeriodState
-    IGCM_debug_Print 1 "DefineVariableFromOption  : run_PostProcessing"
-    IGCM_debug_PrintVariables 3 run_PostProcessing_TimeSeriesCompleted
-    if [ X${run_Configuration_PeriodState} != X"Completed" ] ; then
-	DateEnd=$( IGCM_date_ConvertFormatToGregorian $( echo ${run_Configuration_OldPrefix} | awk -F'_' '{print $2}' ) )
-    else
-	DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
-    fi
-    CompletedFlag=${run_PostProcessing_TimeSeriesCompleted}
+  IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration OldPrefix
+  IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card Configuration PeriodState
+  IGCM_card_DefineVariableFromOption ${CARD_DIR}/run.card PostProcessing TimeSeriesCompleted
+  IGCM_debug_Print 1 "DefineVariableFromOption  : run_Configuration"
+  IGCM_debug_PrintVariables 3 run_Configuration_OldPrefix
+  IGCM_debug_PrintVariables 3 run_Configuration_PeriodState
+  IGCM_debug_Print 1 "DefineVariableFromOption  : run_PostProcessing"
+  IGCM_debug_PrintVariables 3 run_PostProcessing_TimeSeriesCompleted
+  if [ X${run_Configuration_PeriodState} != X"Completed" ] ; then
+    DateEnd=$( IGCM_date_ConvertFormatToGregorian $( echo ${run_Configuration_OldPrefix} | awk -F'_' '{print $2}' ) )
+  else
+    DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
+  fi
+  CompletedFlag=${run_PostProcessing_TimeSeriesCompleted}
 else
-    DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
-    CompletedFlag=""
+  DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
+  CompletedFlag=""
 fi
 SavedCompletedFlag=${CompletedFlag}
@@ -133,12 +152,12 @@
 #R_BUFR : Job output buffered directory
 if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
-    FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
-    R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
-    R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
-    R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+  FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
+  R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+  R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+  R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
 else
-    R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
-    R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
-    R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
+  R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+  R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+  R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
 fi
 
